# This is a BitKeeper generated patch for the following project:
# Project Name: Linux kernel tree
# This patch format is intended for GNU patch command version 2.5 or higher.
# This patch includes the following deltas:
#	           ChangeSet	1.539   -> 1.540  
#	   drivers/usb/hcd.c	1.11    -> 1.12   
#
# The following is the BitKeeper ChangeSet Log
# --------------------------------------------
# 02/03/18	david-b@pacbell.net	1.540
# USB hcd.c, non-HS periodic transfers
# 
# This patch adds a missing "break", which prevented low and full
# speed periodic transfers from getting through the "hcd" framework
# to the driver (OHCI, for now).  Sigh... :)
# --------------------------------------------
#
diff -Nru a/drivers/usb/hcd.c b/drivers/usb/hcd.c
--- a/drivers/usb/hcd.c	Wed Apr  3 16:40:19 2002
+++ b/drivers/usb/hcd.c	Wed Apr  3 16:40:19 2002
@@ -1356,6 +1356,7 @@
 				// NOTE usb and ohci handle up to 2^15
 				temp = 1024;
 			}
+			break;
 		default:
 			return -EINVAL;
 		}
